commit:     e1fb925d0d5747a7c0e9516c67d6e43c6cb78b51
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 20 05:33:13 2018 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Fri Jul 20 05:33:13 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e1fb925d

dev-ruby/yajl-ruby: use correct version of rspec

Specify the correct version of rspec to be used. Since we need to use a
manual invocation to set RUBYLIB we must also specific the version,
since the default is to use rspec 2.x.

Closes: https://bugs.gentoo.org/635312
Package-Manager: Portage-2.3.40, Repoman-2.3.9

 dev-ruby/yajl-ruby/yajl-ruby-1.3.1.ebuild | 2 +-
 dev-ruby/yajl-ruby/yajl-ruby-1.4.0.ebuild | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/dev-ruby/yajl-ruby/yajl-ruby-1.3.1.ebuild 
b/dev-ruby/yajl-ruby/yajl-ruby-1.3.1.ebuild
index 3211a411b19..778feca9ad5 100644
--- a/dev-ruby/yajl-ruby/yajl-ruby-1.3.1.ebuild
+++ b/dev-ruby/yajl-ruby/yajl-ruby-1.3.1.ebuild
@@ -41,5 +41,5 @@ each_ruby_compile() {
 each_ruby_test() {
        # Set RUBYLIB to pass search path on to additional interpreters that
        # are started.
-       RUBYLIB=lib ruby-ng_rspec || die
+       RUBYLIB=lib RSPEC_VERSION=3 ruby-ng_rspec || die
 }

diff --git a/dev-ruby/yajl-ruby/yajl-ruby-1.4.0.ebuild 
b/dev-ruby/yajl-ruby/yajl-ruby-1.4.0.ebuild
index 8c309083d19..d9cb6a9d9be 100644
--- a/dev-ruby/yajl-ruby/yajl-ruby-1.4.0.ebuild
+++ b/dev-ruby/yajl-ruby/yajl-ruby-1.4.0.ebuild
@@ -41,5 +41,5 @@ each_ruby_compile() {
 each_ruby_test() {
        # Set RUBYLIB to pass search path on to additional interpreters that
        # are started.
-       RUBYLIB=lib ruby-ng_rspec || die
+       RUBYLIB=lib RSPEC_VERSION=3 ruby-ng_rspec || die
 }

Reply via email to